
#user  nobody;
worker_processes  4;


events {
    worker_connections  1024;
}


http {
    include       mime.types;
    default_type  application/octet-stream;

    client_header_timeout 240;
    client_body_timeout 240;
    send_timeout 240;
    proxy_buffer_size 128k;
    proxy_buffers 8 128k;
    keepalive_timeout  2;



###### 

    # HTTP server
    #

	server {
		listen 80 default_server;
		listen [::]:80 default_server;
		server_name _;
		return 301 https://$host$request_uri;
	}

###### 

    # HTTPS server
    #
    server {
        listen       443 ssl;
        server_name  _;
        
        client_max_body_size  20M;

        ssl_session_timeout 5m;
        ssl_protocols TLSv1.3 TLSv1.2;

        ssl_certificate      irm_si.pem;
        ssl_certificate_key  irm_si.key;
		

	ssl_session_cache builtin:1000 shared:SSL:10m;

       # ssl_ciphers  HIGH:!aNULL:!MD5;
       # ssl_prefer_server_ciphers  on;

		location / {
			proxy_pass http://127.0.0.1:18080/;
			proxy_set_header Host $host;
		}

    }



   

}
